Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeWorldObject Class Reference

IdeWorldObject is the abstract base for a deWorld to talk to its objects. More...

`#include <deWorld.hpp>`

Inheritance diagram for IdeWorldObject:

[legend]
Collaboration diagram for IdeWorldObject:

[legend]
List of all members.

## Public Member Functions
virtual void * | GetWOInterface (long interface_id)=0
virtual const char * | GetWOTypeName ()=0
| retrieve the specific type name of the object
virtual deObjectID | GetObjectID ()=0
| Retrieve the object's world-unique object ID.
virtual deWorldID | GetWorldID ()=0
| Retrieve the object's runtime-unique World ID.
virtual deBoolean | SetWorldID (deWorldID WorldID, deObjectID ObjectID=0)=0
virtual deBoolean | SetPrivateData (void *pData, long Size)=0
virtual void * | GetPrivateData (long &pSize)=0
| Retrieve the private data member for this object, along with its size in bytes.
virtual deBoolean | Serialize (IdeFile *File)=0
| Serialize the object into an open IdeFile - used by deWorld internally.
virtual deBoolean | DeSerialize (IdeFile *File, long DataLength)=0
| De-Serialize the object from an open IdeFile - used by deWorld internally.
virtual deBoolean | DeSerializeLoad ()=0
## Protected Member Functions
virtual | ~IdeWorldObject ()

## Detailed Description

IdeWorldObject is the abstract base for a deWorld to talk to its objects.

## Constructor & Destructor Documentation

virtual IdeWorldObject::~IdeWorldObject | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeWorldObject::DeSerialize | ( | IdeFile * | File,
|  | long | DataLength
| ) | `[pure virtual]`

| De-Serialize the object from an open IdeFile - used by deWorld internally. Implemented in deBrush.

virtual deBoolean IdeWorldObject::DeSerializeLoad | ( |  | ) | `[pure virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Implemented in deWorldObject, deBrush, deMesh, deSceneRoom, deSceneObject, deSceneABT, deSceneTerrain, deSceneSky, deSceneStaticMesh, deSurface, and deRenderTexture.

virtual deObjectID IdeWorldObject::GetObjectID | ( |  | ) | `[pure virtual]`

| Retrieve the object's world-unique object ID. Implemented in deWorldObject.

virtual void* IdeWorldObject::GetPrivateData | ( | long & | pSize | ) | `[pure virtual]`

| Retrieve the private data member for this object, along with its size in bytes. Implemented in deWorldObject.

virtual void* IdeWorldObject::GetWOInterface | ( | long | interface_id | ) | `[pure virtual]`

| request a related interface, identified with an ID originally returned from IdeWorldManager::GetUniqueWOInterfaceID Implemented in deBrush, deMesh, deSceneRoom, deSceneObject, deSurface, deRenderState, and deBitmapProxy.

virtual deWorldID IdeWorldObject::GetWorldID | ( |  | ) | `[pure virtual]`

| Retrieve the object's runtime-unique World ID. Implemented in deWorldObject.

virtual const char* IdeWorldObject::GetWOTypeName | ( |  | ) | `[pure virtual]`

| retrieve the specific type name of the object

virtual deBoolean IdeWorldObject::Serialize | ( | IdeFile * | File | ) | `[pure virtual]`

| Serialize the object into an open IdeFile - used by deWorld internally. Implemented in deBrush, and deSceneObject.

virtual deBoolean IdeWorldObject::SetPrivateData | ( | void * | pData,
|  | long | Size
| ) | `[pure virtual]`

| Set a private data member for this object, along with its size in bytes. This data is serialized, so don't store any pointer data. The data is copied into an internally-allocated area, so you can feed local variables in. Calling with 'pData = NULL' will cause it to destroy the data. Implemented in deWorldObject.

virtual deBoolean IdeWorldObject::SetWorldID | ( | deWorldID | WorldID,
|  | deObjectID | ObjectID = 0
| ) | `[pure virtual]`

  | Set the object's world ID to a specified World ID. Parameters:
  WorldID | 0 or a valid ID for a currently loaded deWorld
  ObjectID | Reserved use - Use 0 (default)
Implemented in deWorldObject.

The documentation for this class was generated from the following file:

- deWorld.hpp